import React from "react";
import { Divider, Card, Steps, Button, Radio, Form, Input, Row, Col, Select, Image } from "antd";
import { useTranslation } from 'react-i18next';

export default (props) => {
  const { index, setIndex } = props;
  const { t } = useTranslation();
  const [form] = Form.useForm();

  const onFinish = () => {

  };
  const onClick = () => {
    setIndex(index + 1);
  }
  return (
    <>
      <div style={{ fontSize: '24px', fontWeight: '400' }}>{t('authentication.AuthenticationTitle')}</div>
      <Card bordered={false} style={{ width: '900px' }}>
        <div style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.AuthenticationContent1')}</div>
        <Form
          form={form}
          size="large"
          layout="vertical"
          onFinish={onFinish}
          style={{ marginTop: '4em' }}
          wrapperCol={{ span: 14 }}
        >
          <Form.Item label={t('authentication.AuthenticationLabel1')}>
            <Select defaultValue="中国大陆">
            </Select>
          </Form.Item>
          <Form.Item label={t('authentication.AuthenticationLabel2')}>
            <Input placeholder={t('authentication.AuthenticationPlaceholder1')} />
          </Form.Item>
          <div style={{ fontSize: '11px', color: '#bfbfbf', marginTop: '-20px' }}>{t('authentication.AuthenticationTip')}</div>
          <Form.Item label={t('authentication.AuthenticationLabel3')}>
            <Input placeholder={t('authentication.AuthenticationPlaceholder2')} />
          </Form.Item>
          <Form.Item label={t('authentication.AuthenticationLabel4')}>
            <div style={{ marginTop: '-24px' }}>
              <Radio style={{ fontSize: '16px' }}>{t('authentication.AuthenticationYes')}</Radio>
              <Radio style={{ fontSize: '16px' }}>{t('authentication.AuthenticationNo')}</Radio>
            </div>
          </Form.Item>
          <Form.Item style={{ marginTop: '24px' }}>
            <Button
              type="primary"
              size="large"
              onClick={onClick}
            >{t('authentication.AuthenticationBtn')}</Button>
          </Form.Item>
        </Form>
      </Card>
    </>
  )
}