import React from "react";
import { Divider, Card, Steps, Button, Radio, Form, Input, Row, Col, Select, Image } from "antd";
import UploadFile from "@/components/Upload/UploadFile";
import { useTranslation } from 'react-i18next';
import "../style.less";

export default (props) => {
  const { index, setIndex } = props;
  const { t } = useTranslation();
  const [form] = Form.useForm();

  const onFinish = () => {

  };
  const onBack = () => {
    setIndex(index - 1);
  };
  const onSubmit = () => {
    setIndex(index + 1);
  };

  return (
    <>
      <div style={{ fontSize: '24px', fontWeight: '400' }}>{t('authentication.everyoneInfoTitle')}</div>
      <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
        <div style={{ fontSize: '16px', marginBottom: '24px' }}>{t('authentication.everyoneInfoContent1')}</div>
        <div style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.everyoneInfoContent2')}</div>
        <Form
          form={form}
          layout="vertical"
          onFinish={onFinish}
          style={{ marginTop: '4em' }}
        >
          <Form.Item label={t('authentication.everyoneInfoInputLabel1')}>
            <Radio style={{ fontSize: '16px' }}>{t('authentication.everyoneInfoInputRadioValue1')}</Radio>
            <Radio style={{ fontSize: '16px' }}>{t('authentication.everyoneInfoInputRadioValue2')}</Radio>
          </Form.Item>
          <Form.Item>
            <div style={{ marginTop: '40px', fontSize: '16px' }}>{t('authentication.everyoneInfoUploadTitle')}</div>
            <div style={{ display: 'flex', alignItems: 'stretch ' }}>
              <div className="authentication-right-upload-box">
                <UploadFile />
              </div>
              <div style={{ flex: 1.2 }}>
                <div style={{ padding: '0 15px', color: '#bfbfbf' }}>{t('authentication.everyoneInfoUploadText1')}</div>
                <div style={{ padding: '0 15px', color: '#bfbfbf' }}>{t('authentication.everyoneInfoUploadText2')}</div>
                <div style={{ padding: '0 15px', color: '#bfbfbf' }}>{t('authentication.everyoneInfoUploadText3')}</div>
                <Button type="link">{t('authentication.uploadBtnText')}</Button>
              </div>
            </div>
          </Form.Item>
          <Form.Item label={t('authentication.everyoneInfoInputLabel2')}>
            <Radio style={{ fontSize: '16px' }}>{t('authentication.everyoneInfoInputRadioValue1')}</Radio>
            <Radio style={{ fontSize: '16px' }}>{t('authentication.everyoneInfoInputRadioValue2')}</Radio>
            <div style={{ color: '#ffac00' }}>{t('authentication.everyoneInfoRadioTip')}</div>
          </Form.Item>
          <Radio>
            {t('authentication.everyoneInfoAgreement')}
            <a>{t('authentication.everyoneInfoAgreementTitle1')}</a>
            {t('authentication.everyoneInfoAgreementEnd')}
            <a>{t('authentication.everyoneInfoAgreementTitle2')}</a>
          </Radio>
        </Form>
        <Form.Item style={{ marginTop: '24px' }}>
          <Button size="large" style={{ width: '6vw', marginRight: '2vw' }} onClick={onBack}>{t('authentication.everyoneInfoBack')}</Button>
          <Button size="large" type="primary" style={{ width: '6vw' }} onClick={onSubmit}>{t('authentication.everyoneInfoSubmit')}</Button>
        </Form.Item>
      </Card>
    </>
  )
}